<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cai.mapper.UserBlacklistMapper">

    <resultMap type="com.ruoyi.cai.domain.UserBlacklist" id="CaiUserBlacklistResult">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="blackUid" column="black_uid"/>
        <result property="createTime" column="create_time"/>
    </resultMap>
    <select id="pageApp" resultType="com.ruoyi.cai.dto.app.vo.user.UserListVo">
        select t2.id as user_id,t2.avatar,t2.gender,t2.city_id,t2.city,t2.nickname,t2.usercode,t2.age
        from cai_user_blacklist t1
        join cai_user t2 on t1.user_id = t2.id
        where t1.user_id = #{userId}
    </select>


</mapper>
